Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.el
Class ELParserHelper.MyPropertySuffix

    java.lang.Object
      org.apache.commons.el.ValueSuffix
          org.apache.commons.el.ArraySuffix
              org.apache.commons.el.PropertySuffix
                  org.apache.myfaces.el.ELParserHelper.MyPropertySuffix

Enclosing class:
  ELParserHelper

public static class ELParserHelper.MyPropertySuffix
extends org.apache.commons.el.PropertySuffix

Constructor Summary
`ELParserHelper.MyPropertySuffix(org.apache.commons.el.PropertySuffix propertySuffix, javax.faces.application.Application application)`

Method Summary
`java.lang.Object` | `evaluate(java.lang.Object base, javax.servlet.jsp.el.VariableResolver variableResolver, javax.servlet.jsp.el.FunctionMapper functions, org.apache.commons.el.Logger logger)` Evaluates the expression in the given context, operating on the given value, using JSF property resolver.

Methods inherited from class org.apache.commons.el.PropertySuffix
`getExpressionString, getName, setName`

Methods inherited from class org.apache.commons.el.ArraySuffix
`getIndex, setIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELParserHelper.MyPropertySuffix

    public ELParserHelper.MyPropertySuffix(org.apache.commons.el.PropertySuffix propertySuffix,
                                           javax.faces.application.Application application)

Method Detail

### evaluate

    public java.lang.Object evaluate(java.lang.Object base,
                                     javax.servlet.jsp.el.VariableResolver variableResolver,
                                     javax.servlet.jsp.el.FunctionMapper functions,
                                     org.apache.commons.el.Logger logger)
                              throws javax.servlet.jsp.el.ELException

  Evaluates the expression in the given context, operating on the given value, using JSF property resolver.

  Throws:
    `javax.servlet.jsp.el.ELException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD